✨ New Gift Cards API Live Now - Beta!
curl --request PATCH \
--url https://api.gameboost.com/v2/item-offers/{itemOffer} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": [
"https://example.com/item1.jpg"
],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
'{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}Update an existing item offer’s details including pricing, stock, description, and images.
curl --request PATCH \
--url https://api.gameboost.com/v2/item-offers/{itemOffer} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": [
"https://example.com/item1.jpg"
],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
'{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the item offer. Can be retrieved from the list of item offers.
Update item offer - all fields are optional, only provide fields you want to update
Unique identifier for the game (required if game slug not provided)
Slug of the game (required if game_id not provided)
External identifier for the item offer, used to map to your own system
255Display title for the item offer
255Custom URL-friendly identifier (auto-generated if not provided)
255Detailed description of the items and what is included
2048Price per unit in EUR currency, up to 2 decimal places
x >= 0.019.99
Available quantity of items in stock
0 <= x <= 100000000050
Minimum quantity that can be purchased in a single order
1 <= x <= 10000000001
Special instructions for item delivery, provided to buyer after purchase
Expected delivery time object
Show child attributes
{ "duration": 24, "unit": "hours" }Array of image URLs showcasing the items. Only one image is required. Recommended: transparent square images for best display. Note: Imgur URLs are not supported
1Image URL
["https://example.com/item1.jpg"]Specifics available via the template endpoint. Game-specific item attributes such as rarity, type, or category
{ "rarity": "legendary", "type": "skin" }A single item offer
Item offer object representing in-game items for sale
Show child attributes
Was this page helpful?